# ./molecule/draw_molecule.py

import bpy
from importlib import reload
import sys, os
mycwd = os.getcwd()
if mycwd not in sys.path:
    sys.path.insert(0, mycwd)
import chemscripts.blender as msblend
msblend.cleanup()

SDFNAME = "./meoome.sdf" # The file generated earlier
SMALL_ATOMS = [] # Atoms that have to be smaller than others, indices start from 1
RESFILE = "meoome_scene.blend" # Filename for the generated scene

m = msblend.Molecule(small_atoms=SMALL_ATOMS)
m.read_sdf(SDFNAME)
m.draw_bonds(caps=False, radius=0.1)
m.draw_atoms(scale=0.35)
bpy.ops.wm.save_as_mainfile(filepath=os.path.join(os.getcwd(), RESFILE))
